
Redmine - Patch #6357

Show and sort by due_date in reminders

2010-09-10 14:58 - Erwin Schliske

Status: Closed Start date: 2010-09-10

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Description

Hello,

here a small patch which I use to show and sort by due_date in the reminders sent with cron.

Regards,

Erwin Schliske

diff -rupN app.orig/views/mailer/reminder.text.html.rhtml app/views/mailer/reminder.text.html.rhtm

l

--- app.orig/views/mailer/reminder.text.html.rhtml      2010-09-10 14:09:40.000000000 +0200

+++ app/views/mailer/reminder.text.html.rhtml   2010-09-10 14:55:12.000000000 +0200

@@ -1,8 +1,9 @@

 <p><%= l(:mail_body_reminder, :count => @issues.size, :days => @days) %></p>

 <ul>

+<% @issues.sort! { |a,b| a.due_date <=> b.due_date } -%>

 <% @issues.each do |issue| -%>

-  <li><%=h issue.project %> - <%=link_to("#{issue.tracker} ##{issue.id}", :controller => 'issues'

, :action => 'show', :id => issue, :only_path => false)%>: <%=h issue.subject %></li>

+<li><%=h issue.due_date %> - <%=h issue.project %> - <%=link_to("#{issue.tracker} ##{issue.id}", 

:controller => 'issues', :action => 'show', :id => issue, :only_path => false)%>: <%=h issue.subje

ct %></li>

 <% end -%>

 </ul>

diff -rupN app.orig/views/mailer/reminder.text.plain.rhtml app/views/mailer/reminder.text.plain.rh

tml

--- app.orig/views/mailer/reminder.text.plain.rhtml     2010-09-10 14:02:18.000000000 +0200

+++ app/views/mailer/reminder.text.plain.rhtml  2010-09-10 14:55:24.000000000 +0200

@@ -1,7 +1,8 @@

 <%= l(:mail_body_reminder, :count => @issues.size, :days => @days) %>:

+<% @issues.sort! { |a,b| a.due_date <=> b.due_date } -%>

 <% @issues.each do |issue| -%>

-* <%= "#{issue.project} - #{issue.tracker} ##{issue.id}: #{issue.subject}" %>

+* <%= "#{issue.due_date} - #{issue.project} - #{issue.tracker} ##{issue.id}: #{issue.subject}" %>

 <% end -%>

 <%= @issues_url %>

Related issues:

Related to Redmine - Feature #23778: default sort email reminders by due date... Closed

Related to Redmine - Feature #29771: Sort issues by due date in email reminders Closed

Related to Redmine - Feature #31225: Show the number of days left until the d... Closed

History

#1 - 2018-10-16 02:26 - Go MAEDA

- Related to Feature #23778: default sort email reminders by due date (and list due date in email) added
#2 - 2018-10-16 02:39 - Go MAEDA

- Related to Feature #29771: Sort issues by due date in email reminders added

#3 - 2018-10-16 04:08 - Go MAEDA

- Description updated

#4 - 2018-11-06 23:02 - Go MAEDA

Issues in reminders are now sorted by due date (#29771).

#5 - 2018-11-07 09:34 - Erwin Schliske

- Status changed from New to Resolved

Go MAEDA wrote:

Issues in reminders are now sorted by due date (#29771).

 Great. Then this ticket can be closed.

#6 - 2019-04-29 04:44 - Go MAEDA

- Related to Feature #31225: Show the number of days left until the due date in reminders added

#7 - 2019-05-19 10:57 - Go MAEDA

- Status changed from Resolved to Closed

The upcoming Redmine 4.1.0 shows the number of days left until the due date ("due in X days" / "X days late"). Please see #31225 for details.
